# 75. Mutatie: "EquationMap" asynchroon genereren

## Overzicht

Genereer "EquationMap" voor het "Veld" asynchroon.

{% hint style="info" %}
De asynchrone aanpak zet een taak (Genereer "`generateEquationMap`") om te verwerken en de Abonnement (Subscription) wordt ontvangen zodra de verwerking is voltooid.
{% endhint %}

## Ondersteunde gegevenslagen

EquationMaps kunnen worden uitgevoerd op elke gegevenslaag die beschikbaar is in GeoPard, inclusief satellietbeelden, bodemdatasets, opbrengstdatasets, as-applied datasets, topografie, zonekaarten en zelfs andere EquationMaps. Het formaat van `dataVariables` invoer zal variëren afhankelijk van de geselecteerde gegevenslaag.

```graphql
dataVariables: [
  # OpbrengstDataset
  {
    variabele: "yield_variable"
    yieldDatasetUuid: "<placeholder_of_yielddataset_uuid>"
    yieldAttribute: "<placeholder_of_yielddataset_attribute>"
  }, 
  
  # BodemDataset
  {
    variabele: "soil_variable"
    soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
    soilAttribute: "<placeholder_of_soildataset_attribute>"
  },
  
  # AsAppliedDataset
  {
    variabele: "asapplied_variable"
    asAppliedDatasetUuid: "<placeholder_of_asapplieddataset_uuid>"
    asAppliedAttribute: "<placeholder_of_asapplieddataset_attribute>"
  },
  
  # Satellietbeeld
  {
    variabele: "satelliteimage_variable"
    satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]
    index: "<placeholder_of_satelliteimage_vegetation_index>"
  },
  
  # TopografieKaart
  {
    variabele: "topography_variable"
    topographyMapUuid: "<placeholder_of_topographymap_uuid>"
    topographyAttribute: "<placeholder_of_topography_attribute>"
  },
  
  # EquationMap
  {
    variabele: "equationmap_variable"
    equationMapUuid: "<placeholder_of_equationmap_uuid>"
  },
  
  # ZonesMap (VectorAnalysisMap)
  {
    variabele: "zonesmap_variable"
    vectorAnalysisMapUuid: "<placeholder_of_zonesmap_uuid>"
  }
]
```

## Voorbeeld

<pre class="language-graphql" data-overflow="wrap" data-line-numbers><code class="lang-graphql">mutatie GenerateEquationMap {
  generateEquationMapAsync(input: {
    fieldUuid: "&#x3C;placeholder_of_field_uuid>"
    gridPixelSizeX: <a data-footnote-ref href="#user-content-fn-1">30</a>
    gridPixelSizeY: <a data-footnote-ref href="#user-content-fn-1">30</a>
    type: FERTILIZING
    equationAsText:"""calculated = yield_vol/prod + 0.5
if calculated >= 9:
    result = 35
elif calculated >=5  and calculated &#x3C; 9:
    result = 25
else:
    result = 15
    """
    equationResultVariable: "result"
    dataVariables: [{
      variabele: "yield_vol"
      yieldDatasetUuid: "&#x3C;placeholder_of_yielddataset_uuid>"
      yieldAttribute: "Yld_Vol_We"
    }, {
      variabele: "prod"
      yieldDatasetUuid: "&#x3C;placeholder_of_yielddataset_uuid>"
      yieldAttribute: "Prod_ac_h_"
    }]
  }) {
    uuid
    fieldUuid
    statusCode
  }
}
</code></pre>

[^1]: plaats hier een pixelgrootte in meters


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/75.-mutatie-equationmap-asynchroon-genereren.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
